Loading...
Searching...
No Matches
fastjet::D0RunIBaseConePlugin Class Referenceabstract

D0RunIBaseConePlugin is base class for a plugin for FastJet (v3.0 or later) that provides an interface to the D0 version of Run-I cone algorithm. More...

`#include <fastjet/D0RunIBaseConePlugin.hh>`

Inheritance diagram for fastjet::D0RunIBaseConePlugin:
[legend]
Collaboration diagram for fastjet::D0RunIBaseConePlugin:
[legend]

## Public Member Functions

| D0RunIBaseConePlugin (double CONErad_in, double JETmne_in, double SPLifr_in=_DEFAULT_SPLifr)
| A D0RunIConePlugin constructor which sets the "free" parameters of the algorithm:
double | CONErad () const
double | JETmne () const
double | SPLifr () const
double | TWOrad () const
bool | D0_Angle () const
bool | Increase_Delta_R () const
bool | Kill_Far_Clusters () const
bool | Jet_Et_Min_On_Iter () const
double | Far_Ratio () const
double | Eitem_Negdrop () const
double | Et_Min_Ratio () const
double | Thresh_Diff_Et () const
double | overlap_threshold () const
| access the split_ratio() also by the name overlap_threshold()
virtual std::string | description () const =0
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const =0
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Protected Member Functions

template<typename HepEntityType>
void | run_clustering_worker (ClusterSequence &) const

## Protected Attributes

double | _CONErad
double | _JETmne
double | _SPLifr
double | _TWOrad
bool | _D0_Angle
bool | _Increase_Delta_R
bool | _Kill_Far_Clusters
bool | _Jet_Et_Min_On_Iter
double | _Far_Ratio
double | _Eitem_Negdrop
double | _Et_Min_Ratio
double | _Thresh_Diff_Et

## Static Protected Attributes

static const double | _DEFAULT_SPLifr = 0.5
static const double | _DEFAULT_TWOrad = 0.
static const bool | _DEFAULT_D0_Angle = false
static const bool | _DEFAULT_Increase_Delta_R = true
static const bool | _DEFAULT_Kill_Far_Clusters = true
static const bool | _DEFAULT_Jet_Et_Min_On_Iter = true
static const double | _DEFAULT_Far_Ratio = 0.5
static const double | _DEFAULT_Eitem_Negdrop = -1.0
static const double | _DEFAULT_Et_Min_Ratio = 0.5
static const double | _DEFAULT_Thresh_Diff_Et = 0.01

## Detailed Description

D0RunIBaseConePlugin is base class for a plugin for FastJet (v3.0 or later) that provides an interface to the D0 version of Run-I cone algorithm.

Note that this base class is purely virtual and thus needs to be overloaded. In practice this means that you should use one of D0RunIConePlugin or D0RunIpre96ConePlugin.

The D0 code has been obtained from Lars Sonnenschein's web-space http://www-d0.fnal.gov/~sonne/D0RunIcone.tgz

The version of the D0 Run I code distributed here has been modified by the FastJet authors, so as to provide access to the contents of the jets (as is necessary for the plugin). This does not modify the results of the clustering.

Definition at line 61 of file D0RunIBaseConePlugin.hh.

## Constructor & Destructor Documentation

## D0RunIBaseConePlugin()

fastjet::D0RunIBaseConePlugin::D0RunIBaseConePlugin | ( | double | CONErad_in,
|  | double | JETmne_in,
|  | double | SPLifr_in = _DEFAULT_SPLifr )

inline

A D0RunIConePlugin constructor which sets the "free" parameters of the algorithm:

Parameters

  CONErad | is the cone radius
  JETmne | is a minimum ET requirement on every iteration (jet dropped if Et < JETmne * Et_min_ratio ). The value that has been used by D0 for JETmne: 8 GeV (and Et_min_ratio is 0.5)
  SPlifr | is the shared Et fraction splitting threshold, and a value of 0.5 was usually used by D0

The remaining parameters of the algorithm are not to be modified if the algorithm is to correspond to the one actually used by D0.

Definition at line 78 of file D0RunIBaseConePlugin.hh.

## Member Function Documentation

## CONErad()

double fastjet::D0RunIBaseConePlugin::CONErad | ( |  | ) | const

inline

Definition at line 95 of file D0RunIBaseConePlugin.hh.

## JETmne()

double fastjet::D0RunIBaseConePlugin::JETmne | ( |  | ) | const

inline

Definition at line 96 of file D0RunIBaseConePlugin.hh.

## SPLifr()

double fastjet::D0RunIBaseConePlugin::SPLifr | ( |  | ) | const

inline

Definition at line 97 of file D0RunIBaseConePlugin.hh.

## TWOrad()

double fastjet::D0RunIBaseConePlugin::TWOrad | ( |  | ) | const

inline

Definition at line 98 of file D0RunIBaseConePlugin.hh.

## D0_Angle()

bool fastjet::D0RunIBaseConePlugin::D0_Angle | ( |  | ) | const

inline

Definition at line 99 of file D0RunIBaseConePlugin.hh.

## Increase_Delta_R()

bool fastjet::D0RunIBaseConePlugin::Increase_Delta_R | ( |  | ) | const

inline

Definition at line 100 of file D0RunIBaseConePlugin.hh.

## Kill_Far_Clusters()

bool fastjet::D0RunIBaseConePlugin::Kill_Far_Clusters | ( |  | ) | const

inline

Definition at line 101 of file D0RunIBaseConePlugin.hh.

## Jet_Et_Min_On_Iter()

bool fastjet::D0RunIBaseConePlugin::Jet_Et_Min_On_Iter | ( |  | ) | const

inline

Definition at line 102 of file D0RunIBaseConePlugin.hh.

## Far_Ratio()

double fastjet::D0RunIBaseConePlugin::Far_Ratio | ( |  | ) | const

inline

Definition at line 103 of file D0RunIBaseConePlugin.hh.

## Eitem_Negdrop()

double fastjet::D0RunIBaseConePlugin::Eitem_Negdrop | ( |  | ) | const

inline

Definition at line 104 of file D0RunIBaseConePlugin.hh.

## Et_Min_Ratio()

double fastjet::D0RunIBaseConePlugin::Et_Min_Ratio | ( |  | ) | const

inline

Definition at line 105 of file D0RunIBaseConePlugin.hh.

## Thresh_Diff_Et()

double fastjet::D0RunIBaseConePlugin::Thresh_Diff_Et | ( |  | ) | const

inline

Definition at line 106 of file D0RunIBaseConePlugin.hh.

## overlap_threshold()

double fastjet::D0RunIBaseConePlugin::overlap_threshold | ( |  | ) | const

inline

access the split_ratio() also by the name overlap_threshold()

Definition at line 110 of file D0RunIBaseConePlugin.hh.

## description()

virtual std::string fastjet::D0RunIBaseConePlugin::description | ( |  | ) | const

pure virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Implemented in fastjet::D0RunIConePlugin, and fastjet::D0RunIpre96ConePlugin.

## run_clustering()

virtual void fastjet::D0RunIBaseConePlugin::run_clustering | ( | ClusterSequence & |  | ) | const

pure virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Implemented in fastjet::D0RunIConePlugin, and fastjet::D0RunIpre96ConePlugin.

## R()

virtual double fastjet::D0RunIBaseConePlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius

Implements fastjet::JetDefinition::Plugin.

Definition at line 119 of file D0RunIBaseConePlugin.hh.

## run_clustering_worker()

template<typename HepEntityType>

void fastjet::D0RunIBaseConePlugin::run_clustering_worker | ( | ClusterSequence & | clust_seq | ) | const

protected

Definition at line 71 of file D0RunIBaseConePlugin.cc.

## Member Data Documentation

## _CONErad

double fastjet::D0RunIBaseConePlugin::_CONErad

protected

Definition at line 127 of file D0RunIBaseConePlugin.hh.

## _JETmne

double fastjet::D0RunIBaseConePlugin::_JETmne

protected

Definition at line 128 of file D0RunIBaseConePlugin.hh.

## _SPLifr

double fastjet::D0RunIBaseConePlugin::_SPLifr

protected

Definition at line 131 of file D0RunIBaseConePlugin.hh.

## _TWOrad

double fastjet::D0RunIBaseConePlugin::_TWOrad

protected

Definition at line 132 of file D0RunIBaseConePlugin.hh.

## _D0_Angle

bool fastjet::D0RunIBaseConePlugin::_D0_Angle

protected

Definition at line 133 of file D0RunIBaseConePlugin.hh.

## _Increase_Delta_R

bool fastjet::D0RunIBaseConePlugin::_Increase_Delta_R

protected

Definition at line 134 of file D0RunIBaseConePlugin.hh.

## _Kill_Far_Clusters

bool fastjet::D0RunIBaseConePlugin::_Kill_Far_Clusters

protected

Definition at line 135 of file D0RunIBaseConePlugin.hh.

## _Jet_Et_Min_On_Iter

bool fastjet::D0RunIBaseConePlugin::_Jet_Et_Min_On_Iter

protected

Definition at line 136 of file D0RunIBaseConePlugin.hh.

## _Far_Ratio

double fastjet::D0RunIBaseConePlugin::_Far_Ratio

protected

Definition at line 137 of file D0RunIBaseConePlugin.hh.

## _Eitem_Negdrop

double fastjet::D0RunIBaseConePlugin::_Eitem_Negdrop

protected

Definition at line 138 of file D0RunIBaseConePlugin.hh.

## _Et_Min_Ratio

double fastjet::D0RunIBaseConePlugin::_Et_Min_Ratio

protected

Definition at line 139 of file D0RunIBaseConePlugin.hh.

## _Thresh_Diff_Et

double fastjet::D0RunIBaseConePlugin::_Thresh_Diff_Et

protected

Definition at line 140 of file D0RunIBaseConePlugin.hh.

## _DEFAULT_SPLifr

const double fastjet::D0RunIBaseConePlugin::_DEFAULT_SPLifr = 0.5

static protected

Definition at line 144 of file D0RunIBaseConePlugin.hh.

## _DEFAULT_TWOrad

const double fastjet::D0RunIBaseConePlugin::_DEFAULT_TWOrad = 0.

static protected

Definition at line 145 of file D0RunIBaseConePlugin.hh.

## _DEFAULT_D0_Angle

const bool fastjet::D0RunIBaseConePlugin::_DEFAULT_D0_Angle = false

static protected

Definition at line 146 of file D0RunIBaseConePlugin.hh.

## _DEFAULT_Increase_Delta_R

const bool fastjet::D0RunIBaseConePlugin::_DEFAULT_Increase_Delta_R = true

static protected

Definition at line 147 of file D0RunIBaseConePlugin.hh.

## _DEFAULT_Kill_Far_Clusters

const bool fastjet::D0RunIBaseConePlugin::_DEFAULT_Kill_Far_Clusters = true

static protected

Definition at line 148 of file D0RunIBaseConePlugin.hh.

## _DEFAULT_Jet_Et_Min_On_Iter

const bool fastjet::D0RunIBaseConePlugin::_DEFAULT_Jet_Et_Min_On_Iter = true

static protected

Definition at line 149 of file D0RunIBaseConePlugin.hh.

## _DEFAULT_Far_Ratio

const double fastjet::D0RunIBaseConePlugin::_DEFAULT_Far_Ratio = 0.5

static protected

Definition at line 150 of file D0RunIBaseConePlugin.hh.

## _DEFAULT_Eitem_Negdrop

const double fastjet::D0RunIBaseConePlugin::_DEFAULT_Eitem_Negdrop = -1.0

static protected

Definition at line 151 of file D0RunIBaseConePlugin.hh.

## _DEFAULT_Et_Min_Ratio

const double fastjet::D0RunIBaseConePlugin::_DEFAULT_Et_Min_Ratio = 0.5

static protected

Definition at line 152 of file D0RunIBaseConePlugin.hh.

## _DEFAULT_Thresh_Diff_Et

const double fastjet::D0RunIBaseConePlugin::_DEFAULT_Thresh_Diff_Et = 0.01

static protected

Definition at line 153 of file D0RunIBaseConePlugin.hh.

The documentation for this class was generated from the following files:

- plugins/D0RunICone/fastjet/D0RunIBaseConePlugin.hh
- plugins/D0RunICone/D0RunIBaseConePlugin.cc